Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.conf
Interface ConfigSaverDelegate

All Known Implementing Classes:
  RuntimeSaveDelegate

    public interface ConfigSaverDelegate

Defines a set of callback methods that provide information to ConfigSaver when Cayenne project is saved.

Author:
  Andrei Adamchik

Method Summary
`java.util.Iterator` | `domainNames()`
`java.util.Iterator` | `linkedMapNames(java.lang.String domainName, java.lang.String nodeName)`
`java.lang.String` | `mapLocation(java.lang.String domainName, java.lang.String mapName)`
`java.util.Iterator` | `mapNames(java.lang.String domainName)`
`java.lang.String` | `nodeAdapterName(java.lang.String domainName, java.lang.String nodeName)`
`java.lang.String` | `nodeDataSourceName(java.lang.String domainName, java.lang.String nodeName)`
`java.lang.String` | `nodeFactoryName(java.lang.String domainName, java.lang.String nodeName)`
`java.util.Iterator` | `nodeNames(java.lang.String domainName)`
`java.lang.String` | `projectVersion()`
`java.util.Iterator` | `propertyNames(java.lang.String domainName)`
`java.lang.String` | `propertyValue(java.lang.String domainName, java.lang.String propertyName)`
`java.lang.String` | `viewLocation(java.lang.String dataViewName)`
`java.util.Iterator` | `viewNames()`

Method Detail

### projectVersion

    java.lang.String projectVersion()

  Since:
    1.1

### domainNames

    java.util.Iterator domainNames()

### viewNames

    java.util.Iterator viewNames()

  Since:
    1.1

### viewLocation

    java.lang.String viewLocation(java.lang.String dataViewName)

  Since:
    1.1

### propertyNames

    java.util.Iterator propertyNames(java.lang.String domainName)

### propertyValue

    java.lang.String propertyValue(java.lang.String domainName,
                                   java.lang.String propertyName)

### mapNames

    java.util.Iterator mapNames(java.lang.String domainName)

### mapLocation

    java.lang.String mapLocation(java.lang.String domainName,
                                 java.lang.String mapName)

### linkedMapNames

    java.util.Iterator linkedMapNames(java.lang.String domainName,
                                      java.lang.String nodeName)

### nodeNames

    java.util.Iterator nodeNames(java.lang.String domainName)

### nodeDataSourceName

    java.lang.String nodeDataSourceName(java.lang.String domainName,
                                        java.lang.String nodeName)

### nodeAdapterName

    java.lang.String nodeAdapterName(java.lang.String domainName,
                                     java.lang.String nodeName)

### nodeFactoryName

    java.lang.String nodeFactoryName(java.lang.String domainName,
                                     java.lang.String nodeName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.